Home

# Class goog.net.BulkLoader

Class used to load multiple URIs.

extends goog.events.EventTarget

Instance Method Summary

`disposeInternal()`

Unattach listeners from this object. Classes that extend EventTarget may need to override this method in order to remove references to DOM Elements and additional listeners, it should be something like this:

    MyClass.prototype.disposeInternal = function() {
    MyClass.superClass_.disposeInternal.call(this);
    // Dispose logic for MyClass
    };

| `finishLoad_()` Finishes the load of the URI's. Dispatches the SUCCESS event.
| `getResponseTexts() ⇒ ?Array.<string>` Gets the response texts.
| `handleError_((number|string) id, ?goog.net.XhrIo xhrIo)` Handles when a request has ended in error (i.e., all retries completed and none were successful). Cancels loading of the URI's.
| `handleEvent_(number id, ?goog.events.Event e)` Handles all events fired by the XhrManager.
| `handleSuccess_(number id, ?goog.net.XhrIo xhrIo)` Handles when a request is successful (i.e., completed and response received). Stores thhe responseText and checks if loading is complete.
| `load()` Starts the process of loading the URIs.